Cannot Debug anymore in Rubymine

Hello,

I don't know what changed in the latest version of Rubymine, but when I use the internal debugger or run my applications in Debug mode, the debugger breaks on every line, even when no breakpoints have been defined.

At the moment I cannot perform any debugging at all because I will not press the continue button a million times to even boot up my rails application.

 

3 comments

I have same problem.

My enviroment is:

  • OpenSuse 64bits
  • Ruby 2.1.2p95 (2014-05-08 revision 45877) [x86_64-linux-gnu
  • Rails 4.2.4
  • RubyMine 2016.1

When try debug I get this error:

/usr/bin/ruby -e at_exit{sleep(1)};$stdout.sync=true;$stderr.sync=true;load($0=ARGV.shift) /home/eduardo/.gem/ruby/2.1.0/gems/ruby-debug-ide-0.4.24/bin/rdebug-ide --disable-int-handler --evaluation-timeout 10 --rubymine-protocol-extensions --port 32885 --host 0.0.0.0 --dispatcher-port 33681 -- /home/eduardo/Private/CPB/workspace/resultado-open/bin/rails server -b 0.0.0.0 -p 3000 -e development
/usr/lib64/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:54:in `require': cannot load such file -- debase_internals (LoadError)
    from /usr/lib64/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:54:in `require'
    from /home/eduardo/.gem/ruby/2.1.0/gems/debase-0.2.2.beta7/lib/debase.rb:4:in `<top (required)>'
    from /usr/lib64/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:54:in `require'
    from /usr/lib64/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:54:in `require'
    from /home/eduardo/.gem/ruby/2.1.0/gems/ruby-debug-ide-0.4.24/lib/ruby-debug-ide.rb:8:in `<top (required)>'
    from /home/eduardo/.gem/ruby/2.1.0/gems/ruby-debug-ide-0.4.24/bin/rdebug-ide:8:in `require_relative'
    from /home/eduardo/.gem/ruby/2.1.0/gems/ruby-debug-ide-0.4.24/bin/rdebug-ide:8:in `<top (required)>'
    from -e:1:in `load'
    from -e:1:in `<main>'

Process finished with exit code 1

 

0

For me downgrading to debase (0.2.2.beta6) solved the problem.

It seems the latest Rubymine or debase 0.2.2.beta7 has an issue with one another.

0

We have a corresponding issue on our tracker, please vote and it would be also great if you could leave there a comment regarding your situation:

https://youtrack.jetbrains.com/issue/RUBY-17990 

0

Please sign in to leave a comment.